Skip to main content

Organization API

Manage epilot tenant organizations

Quick Startโ€‹

# List available operations
epilot organization

# Call an operation
epilot organization getCurrentOrganization

Common Flagsโ€‹

FlagDescription
-p key=valueSet a named parameter
-d '{...}'Request body JSON
-H 'Key: Value'Custom header
-t, --token <token>Bearer token for authentication
--profile <name>Use a named profile
-s, --server <url>Override server base URL
-i, --includeInclude response headers in output
--jsonOutput raw JSON (no formatting)
-v, --verboseVerbose output (show request details)
--jsonata <expr>JSONata expression to transform response
--definition <file>Override OpenAPI spec file/URL
--guidedPrompt for all parameters interactively
--no-interactiveDisable interactive prompts

Operationsโ€‹

Organization

Organization Settings

getCurrentOrganizationโ€‹

Get caller's current organization

GET /v2/organization/current

Sample Call

epilot organization getCurrentOrganization

With JSONata filter:

epilot organization getCurrentOrganization --jsonata 'id'
Sample Response
{
"id": "739224",
"name": "Epilot",
"email": "someone@epilot.cloud",
"phone": "+49123123123",
"website": "https://epilot.cloud",
"address": {
"country": "string",
"city": "string",
"postal_code": "string",
"street": "string",
"street_number": "string"
},
"organization_use": "Production",
"parent_production_org_id": "string",
"created_date": "1970-01-01T00:00:00.000Z",
"logo_url": "https://epilot-playground-organization-data.s3.eu-central-1.amazonaws.com/epilot-logo.png",
"logo_thumbnail_url": "https://epilot-playground-organization-data.s3.eu-central-1.amazonaws.com/epilot-logo.png",
"signature": "<p>Thanks</p>",
"is_unlicensed_org": false,
"style": {},
"type": "Vendor",
"symbol": "EPI",
"pricing_tier": "professional",
"free_user_limit": 50
}

getOrganizationโ€‹

Get an organization

GET /v2/organization/{org_id}

Parameters

NameInTypeRequiredDescription
org_idpathstringYesThe Id of the organization.

Sample Call

epilot organization getOrganization \
-p org_id=739224

Using positional args for path parameters:

epilot organization getOrganization 739224

With JSONata filter:

epilot organization getOrganization -p org_id=739224 --jsonata 'id'
Sample Response
{
"id": "739224",
"name": "Epilot",
"email": "someone@epilot.cloud",
"phone": "+49123123123",
"website": "https://epilot.cloud",
"address": {
"country": "string",
"city": "string",
"postal_code": "string",
"street": "string",
"street_number": "string"
},
"organization_use": "Production",
"parent_production_org_id": "string",
"created_date": "1970-01-01T00:00:00.000Z",
"logo_url": "https://epilot-playground-organization-data.s3.eu-central-1.amazonaws.com/epilot-logo.png",
"logo_thumbnail_url": "https://epilot-playground-organization-data.s3.eu-central-1.amazonaws.com/epilot-logo.png",
"signature": "<p>Thanks</p>",
"is_unlicensed_org": false,
"style": {},
"type": "Vendor",
"symbol": "EPI",
"pricing_tier": "professional",
"free_user_limit": 50
}

updateOrganizationโ€‹

Updates an organization

PATCH /v2/organization/{org_id}

Parameters

NameInTypeRequiredDescription
org_idpathstringYesThe Id of the organization.

Request Body

Sample Call

epilot organization updateOrganization \
-p org_id=739224

With request body:

epilot organization updateOrganization \
-p org_id=739224 \
-d '{
"id": "739224",
"name": "Epilot",
"email": "someone@epilot.cloud",
"phone": "+49123123123",
"website": "https://epilot.cloud",
"address": {
"country": "string",
"city": "string",
"postal_code": "string",
"street": "string",
"street_number": "string"
},
"organization_use": "Production",
"parent_production_org_id": "string",
"created_date": "1970-01-01T00:00:00.000Z",
"logo_url": "https://epilot-playground-organization-data.s3.eu-central-1.amazonaws.com/epilot-logo.png",
"logo_thumbnail_url": "https://epilot-playground-organization-data.s3.eu-central-1.amazonaws.com/epilot-logo.png",
"signature": "<p>Thanks</p>",
"is_unlicensed_org": false,
"style": {},
"type": "Vendor",
"symbol": "EPI",
"pricing_tier": "professional",
"free_user_limit": 50
}'

Using positional args for path parameters:

epilot organization updateOrganization 739224

Using stdin pipe:

cat body.json | epilot organization updateOrganization -p org_id=739224

With JSONata filter:

epilot organization updateOrganization -p org_id=739224 --jsonata 'id'
Sample Response
{
"id": "739224",
"name": "Epilot",
"email": "someone@epilot.cloud",
"phone": "+49123123123",
"website": "https://epilot.cloud",
"address": {
"country": "string",
"city": "string",
"postal_code": "string",
"street": "string",
"street_number": "string"
},
"organization_use": "Production",
"parent_production_org_id": "string",
"created_date": "1970-01-01T00:00:00.000Z",
"logo_url": "https://epilot-playground-organization-data.s3.eu-central-1.amazonaws.com/epilot-logo.png",
"logo_thumbnail_url": "https://epilot-playground-organization-data.s3.eu-central-1.amazonaws.com/epilot-logo.png",
"signature": "<p>Thanks</p>",
"is_unlicensed_org": false,
"style": {},
"type": "Vendor",
"symbol": "EPI",
"pricing_tier": "professional",
"free_user_limit": 50
}

getSettingsโ€‹

Get full organization settings object

GET /v2/organization/{org_id}/settings

Parameters

NameInTypeRequiredDescription
org_idpathstringYesThe Id of the organization.

Sample Call

epilot organization getSettings \
-p org_id=739224

Using positional args for path parameters:

epilot organization getSettings 739224

With JSONata filter:

epilot organization getSettings -p org_id=739224 --jsonata '$'
Sample Response
{
"double_opt_in": {
"enabled": true
}
}

putSettingsValueโ€‹

Updates an organization setting

PUT /v2/organization/{org_id}/settings/{key}

Parameters

NameInTypeRequiredDescription
org_idpathstringYesThe Id of the organization.
keypathstringYesOrganization setting key

Request Body

Sample Call

epilot organization putSettingsValue \
-p org_id=739224 \
-p key=example \
-d '{"enabled":true}'

Using positional args for path parameters:

epilot organization putSettingsValue 739224 example

Using stdin pipe:

cat body.json | epilot organization putSettingsValue -p org_id=739224 -p key=example

With JSONata filter:

epilot organization putSettingsValue -p org_id=739224 -p key=example --jsonata '$'
Sample Response
{
"enabled": true
}

deleteSettingsValueโ€‹

Updates an organization nsetting

DELETE /v2/organization/{org_id}/settings/{key}

Parameters

NameInTypeRequiredDescription
org_idpathstringYesThe Id of the organization.
keypathstringYesOrganization setting key

Sample Call

epilot organization deleteSettingsValue \
-p org_id=739224 \
-p key=example

Using positional args for path parameters:

epilot organization deleteSettingsValue 739224 example

With JSONata filter:

epilot organization deleteSettingsValue -p org_id=739224 -p key=example --jsonata '$'